package com.pj.project.tb_driver;

import java.io.Serializable;
import java.util.Date;

import com.baomidou.mybatisplus.annotation.*;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import lombok.EqualsAndHashCode;

import lombok.Data;
import lombok.experimental.Accessors;

/**
 * Model: tb_driver -- 司机
 * @author qzy 
 */
@Data
@Accessors(chain = true)
@TableName(TbDriver.TABLE_NAME)
@EqualsAndHashCode(callSuper = false)
public class TbDriver extends Model<TbDriver> implements Serializable {

	// ---------- 模块常量 ----------
	/**
	 * 序列化版本id 
	 */
	private static final long serialVersionUID = 1L;	
	/**
	 * 此模块对应的表名 
	 */
	public static final String TABLE_NAME = "tb_driver";	
	/**
	 * 此模块对应的权限码 
	 */
	public static final String PERMISSION_CODE = "tb-driver";	


	// ---------- 表中字段 ----------
	/**
	 * 主键 
	 */
	private String id;

	/**
	 * 名称 
	 */
	private String name;	

	/**
	 * 手机号码 
	 */
	private String phone;	

	/**
	 * 身份证 
	 */
	private String idCard;	

	/**
	 * 创建时间 
	 */
	private Date createTime;





	


}
